package com.gic.finance.web;

import com.ctrip.framework.apollo.spring.annotation.EnableApolloConfig;
import com.gic.authcenter.security.core.anno.EnableGicOAuth2Sso;
import com.gic.authcenter.security.core.boot.GicSsoSecurityConfigAdapter;
import com.gic.dubbo.util.DubboContextUtil;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.data.redis.RedisAutoConfiguration;
import org.springframework.boot.autoconfigure.data.redis.RedisRepositoriesAutoConfiguration;
import org.springframework.boot.autoconfigure.quartz.QuartzAutoConfiguration;
import org.springframework.context.ConfigurableApplicationContext;
import org.springframework.context.annotation.ImportResource;

/**
 * Spring Boot Web 启动类
 *
 * @author zhurz
 */
@SpringBootApplication(
        scanBasePackages = "com.gic.finance",
        exclude = {
                QuartzAutoConfiguration.class
        }
)
@ImportResource(value = {
        "classpath*:applicationContext-init.xml",
        "classpath*:dubbo-setting.xml",
        "classpath*:dubbo-gic-platform-finance-web.xml",
        "classpath*:spring-interceptor.xml",
        "classpath*:redis-init.xml"
})
@EnableApolloConfig({ "application", "BUZ.oauth.4.0" })
@EnableGicOAuth2Sso
public class Main extends GicSsoSecurityConfigAdapter {

    public static void main(String[] args){
        ConfigurableApplicationContext context = SpringApplication.run(Main.class, args);
        DubboContextUtil.setApplicationContext(context);
    }

}